# Budowanie aplikacji
## Wymagania wstępne
* Zainstalowane JDK w wersji co najmniej 8
* Wartość zmiennej środowiskowej `JAVA_HOME` odpowiada lokalizacji pakietu JDK
## Budowanie
Aplikację można zbudować za pomocą jednego z poniższych poleceń:
* `./gradlew build` - aplikacja zostanie zbudowana, zostanie utworzony plik jar o nazwie `backend-NUMER_WERSJI.jar` w katalogu `./build/libs`
* `./gradlew release` - aplikacja zostanie zbudowana, zostanie utworzony folder `release` o następującej zawartości
  * folder `engines` zawierający zawartość folderu `engines` z głównego katalogu projektu
  * plik `users.json` będący kopią pliku `users.json` z głównego katalogu projektu
  * plik `backend-NUMER_WERSJI.jar` będący zbudowaną aplikacją serwerową
* `./gradlew bootRun` - aplikacja zostanie zbudowana, a następnie uruchomiona na domyślnym porcie